package jalview.ext.cipres;

import java.io.File;
import java.io.IOException;
import java.util.Collection;
import java.util.Date;
import java.util.Map;

import org.ngbw.directclient.CiCipresException;
import org.ngbw.directclient.CiJob;
import org.ngbw.directclient.CiResultFile;

public class CipresJob
{
  private final CiJob job;

  protected CipresJob(CiJob cipresJob)
  {
    job = cipresJob;
  }

  public void show(boolean message)
  {
    job.show(message);
  }

  public CipresJob update() throws CiCipresException
  {
    return new CipresJob(job.update());
  }

  public void delete() throws CiCipresException
  {
    job.delete();
  }

  protected Collection<CiResultFile> listResults(boolean finalResults)
          throws CiCipresException
  {
    return job.listResults(finalResults);
  }

  public void downloadResults(File location, boolean finalResults)
          throws CiCipresException, IOException
  {
    job.downloadResults(location, finalResults);
  }

  public boolean isDone()
  {
    return job.isDone();
  }

  public boolean isError()
  {
    return job.isError();
  }

  public String getJobHandle()
  {
    return job.getJobHandle();
  }

  public Date getDateSubmitted()
  {
    return job.getDateSubmitted();
  }

  public String getJobStage()
  {
    return job.getJobStage();
  }

  public Map<String, String> getMetadata()
  {
    return job.getMetadata();
  }

  /**
   * @see CiJob#getClientJobID()
   * 
   */
  public String getClientJobID()
  {
    return job.getClientJobID();
  }

  /**
   * 
   * @see CiJob#getClientJobName()
   */
  public String getClientJobName()
  {
    return job.getClientJobName();
  }

}
