package jalview.gui;

import java.awt.event.FocusAdapter;
import java.awt.event.FocusEvent;

import javax.swing.JInternalFrame;

public class TreeCalculationFrame extends JInternalFrame
{
  private AlignFrame af;

  private TreeCalculationPanel treeCalcPanel;

  public TreeCalculationFrame(AlignFrame alignFrame)
  {
    af = alignFrame;
    treeCalcPanel = new TreeCalculationPanel(af);
    init();
    af.alignPanel.setTreeCalcPanel(this);


  }

  private void init()
  {
    this.setContentPane(treeCalcPanel);
    this.addFocusListener(new FocusAdapter()
    {

      @Override
      public void focusGained(FocusEvent e)
      {
        revalidateInput();
      }
    });



  }

  public void revalidateInput()
  {
    int nrSeqsChosen = af.getViewport().getAlignment().getHeight();
    if (af.getViewport().getSelectionGroup() != null)
    {
      nrSeqsChosen = af.getViewport().getSelectionGroup().getSize();
    }


  }

  public TreeCalculationPanel getTreeCalcPanel()
  {
    return treeCalcPanel;
  }

  public void setTreeCalcPanel(TreeCalculationPanel treeCalcPanel)
  {
    this.treeCalcPanel = treeCalcPanel;
  }

}
